Index: src/sas/qtgui/Perspectives/Corfunc/CorfuncPerspective.py
===================================================================
--- src/sas/qtgui/Perspectives/Corfunc/CorfuncPerspective.py	(revision dee9e5f369951654b0c4ceb6506475a3cd8ed1f9)
+++ src/sas/qtgui/Perspectives/Corfunc/CorfuncPerspective.py	(revision f7e6b30a0469e75c47684546f7892ca2ed82350a)
@@ -7,4 +7,5 @@
 from matplotlib.backends.backend_qt5agg import FigureCanvasQTAgg \
     as FigureCanvas
+from matplotlib.backends.backend_qt5agg import NavigationToolbar2QT
 from matplotlib.figure import Figure
 from numpy.linalg.linalg import LinAlgError
@@ -35,4 +36,5 @@
         self.data = None
         self.extrap = None
+        self.setMinimumSize(300, 300)
 
     def draw_q_space(self):
@@ -49,4 +51,7 @@
         self.axes.set_xscale("log")
         self.axes.set_yscale("log")
+        self.axes.set_xlabel("Q [$\AA^{-1}$]")
+        self.axes.set_ylabel("I(Q) [cm$^{-1}$]")
+        self.fig.tight_layout()
 
         qmin = float(self.model.item(W.W_QMIN).text())
@@ -61,4 +66,6 @@
             self.axes.set_xlim(min(self.data.x) / 2,
                                max(self.data.x) * 1.5 - 0.5 * min(self.data.x))
+            self.axes.set_ylim(min(self.data.y) / 2,
+                               max(self.data.y) * 1.5 - 0.5 * min(self.data.y))
         if self.extrap:
             self.axes.plot(self.extrap.x, self.extrap.y)
@@ -78,4 +85,7 @@
         self.axes.set_xscale("linear")
         self.axes.set_yscale("linear")
+        self.axes.set_xlabel("Z [$\AA$]")
+        self.axes.set_ylabel("Correlation")
+        self.fig.tight_layout()
 
         if self.data:
@@ -85,5 +95,5 @@
             self.axes.plot(data_idf.x, data_idf.y,
                            label="Interface Distribution Function")
-            self.axes.set_xlim(min(data1.x), max(data1.x) / 4)
+            self.axes.set_xlim(0, max(data1.x) / 4)
             self.axes.legend()
 
@@ -115,5 +125,12 @@
 
         self._canvas = MyMplCanvas(self.model)
-        self.mainVerticalLayout.insertWidget(0, self._canvas)
+        self.plotLayout.insertWidget(0, self._canvas)
+        self.plotLayout.insertWidget(1, NavigationToolbar2QT(self._canvas, self))
+        self._realplot = MyMplCanvas(self.model)
+        self.plotLayout.insertWidget(2, self._realplot)
+        self.plotLayout.insertWidget(3, NavigationToolbar2QT(self._realplot, self))
+
+        self.gridLayout_8.setColumnStretch(0, 1)
+        self.gridLayout_8.setColumnStretch(1, 3)
 
         # Connect buttons to slots.
@@ -238,9 +255,9 @@
         self.model.setItem(W.W_POLY, QtGui.QStandardItem("{:.3g}".format(params['A'])))
         self.model.setItem(W.W_PERIOD, QtGui.QStandardItem("{:.3g}".format(params['max'])))
-        #self._realplot.data = transforms
+        self._realplot.data = transforms
 
         self.update_real_space_plot(transforms)
 
-        #self._realplot.draw_real_space()
+        self._realplot.draw_real_space()
 
     def update_real_space_plot(self, datas):
@@ -358,6 +375,6 @@
         self.cmdTransform.setEnabled(False)
 
-        #self._realplot.data = None
-        #self._realplot.draw_real_space()
+        self._realplot.data = None
+        self._realplot.draw_real_space()
 
     def setClosable(self, value=True):
Index: src/sas/qtgui/Perspectives/Corfunc/UI/CorfuncPanel.ui
===================================================================
--- src/sas/qtgui/Perspectives/Corfunc/UI/CorfuncPanel.ui	(revision cb4d21923d5112d84638455162621f5823dd13c5)
+++ src/sas/qtgui/Perspectives/Corfunc/UI/CorfuncPanel.ui	(revision f6c3f01c77ca59a66d58dadd7664c282c530f1e2)
@@ -322,5 +322,12 @@
           </item>
           <item row="0" column="1">
-           <widget class="QLineEdit" name="txtLongPeriod"/>
+           <widget class="QLineEdit" name="txtLongPeriod" width="50">
+	     <property name="minimumSize" stdset="0">
+	       <size>
+		 <width>60</width>
+		 <height>20</height>
+	       </size>
+	     </property>
+	   </widget>
           </item>
           <item row="0" column="2">
@@ -332,5 +339,12 @@
           </item>
           <item row="0" column="3">
-           <widget class="QLineEdit" name="txtAvgIntThick"/>
+           <widget class="QLineEdit" name="txtAvgIntThick">
+	     <property name="minimumSize" stdset="0">
+	       <size>
+		 <width>60</width>
+		 <height>20</height>
+	       </size>
+	     </property>
+	   </widget>
           </item>
           <item row="1" column="0">
@@ -419,4 +433,8 @@
     </layout>
    </item>
+   <item row="0" column="1">
+    <layout class="QVBoxLayout" name="plotLayout">
+    </layout>
+   </item>
   </layout>
  </widget>
Index: src/sas/sascalc/corfunc/transform_thread.py
===================================================================
--- src/sas/sascalc/corfunc/transform_thread.py	(revision a859f9916f07adbcfeb4bebd403b46e6f32d18a7)
+++ src/sas/sascalc/corfunc/transform_thread.py	(revision f7e6b30a0469e75c47684546f7892ca2ed82350a)
@@ -45,8 +45,7 @@
             # gamma3(R) = 1/R int_{0}^{R} gamma1(x) dx
             # trapz uses the trapezium rule to calculate the integral
-            mask = xs <= 200.0 # Only calculate gamma3 up to x=200 (as this is all that's plotted)
             # gamma3 = [trapz(gamma1[:n], xs[:n])/xs[n-1] for n in range(2, len(xs[mask]) + 1)]j
             # gamma3.insert(0, 1.0) # Gamma_3(0) is defined as 1
-            n = len(xs[mask])
+            n = len(xs)
             gamma3 = cumtrapz(gamma1[:n], xs[:n])/xs[1:n]
             gamma3 = np.hstack((1.0, gamma3)) # Gamma_3(0) is defined as 1
@@ -79,5 +78,5 @@
 
         transform1 = Data1D(xs, gamma1)
-        transform3 = Data1D(xs[xs <= 200], gamma3)
+        transform3 = Data1D(xs, gamma3)
         idf = Data1D(xs, idf)
 
